Loading...
Searching...
No Matches
BALL::VIEW::Disc Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/disc.h>`

Inheritance diagram for BALL::VIEW::Disc:

## Public Member Functions

Constructors
| Disc ()
| Disc (const Disc &disc)
| Disc (const Circle3 &circle)
Destructors
virtual | ~Disc ()
virtual void | clear ()
Assignment methods
void | set (const Disc &Disc)
const Disc & | operator= (const Disc &Disc)
void | swap (Disc &Disc)
void | setCircle (const Circle3 &circle)
const Circle3 & | getCircle () const
debuggers and diagnostics
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual void | getVertices (vector< Vector3 > &vertices) const
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const

## Additional Inherited Members

Protected Member Functions inherited from BALL::TCircle3< float >
| TCircle3 ()
| TCircle3 (const TCircle3 &circle)
| TCircle3 (const TVector3< float > &point, const TVector3< float > &normal, const float &radius)
virtual | ~TCircle3 ()
void | swap (TCircle3 &circle)
void | set (const TCircle3 &circle)
void | set (const TVector3< float > &point, const TVector3< float > &normal, const float &rad)
TCircle3 & | operator= (const TCircle3 &circle)
void | get (TCircle3 &circle) const
void | get (TVector3< float > &point, TVector3< float > &normal, float &rhs) const
bool | operator== (const TCircle3 &circle) const
bool | operator!= (const TCircle3 &circle) const
bool | has (const TVector3< float > &point, bool on_surface=false) const
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const
Protected Attributes inherited from BALL::TCircle3< float >
TVector3< float > | p
TVector3< float > | n
float | radius

## Detailed Description

Disc class.
An instance of Disc represents an instance of the geometric representation "Disc". The class Disc is derived from the classes GeometricObject and Disc3. See these classes for further information concerning interface and additional methods.

Definition at line 29 of file disc.h.

## Constructor & Destructor Documentation

## Disc() [1/3]

BALL::VIEW::Disc::Disc | ( |  | ) |

Default Constructor.

## Disc() [2/3]

BALL::VIEW::Disc::Disc | ( | const Disc & | disc | ) |

Copy constructor

## Disc() [3/3]

BALL::VIEW::Disc::Disc | ( | const Circle3 & | circle | ) |

## ~Disc()

virtual BALL::VIEW::Disc::~Disc | ( |  | ) |

virtual

Destructor. Default destruction of this Disc.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::Disc::clear | ( |  | ) |

virtual

Explicit default initialization.

See also
  GeometricObject::clear
  Disc3::clear

Reimplemented from BALL::VIEW::GeometricObject.

## dump()

virtual void BALL::VIEW::Disc::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current value of this Disc to the output ostream s with dumping depth depth. Calls GeometricObject::dump. Calls Disc3::dump.

Parameters

  s | output stream where to output the value of this Disc
  depth | the dumping depth

See also
  GeometricObject::dump
  Disc3::dump

Reimplemented from BALL::VIEW::GeometricObject.

## getCircle()

const Circle3 & BALL::VIEW::Disc::getCircle | ( |  | ) | const

inline

Definition at line 87 of file disc.h.

## getVertices()

virtual void BALL::VIEW::Disc::getVertices | ( | vector< Vector3 > & | vertices | ) | const

virtual

## isValid()

virtual bool BALL::VIEW::Disc::isValid | ( |  | ) | const

virtual

Internal state and consistency self-validation. Initiate self-validation of the internal state and data structure consistencies of this Disc. If the internal state of this Disc is correct (self-validated) and consistent true is returned, false otherwise. Calls GeometricObject::isValid.

Returns
  bool true if the internal state of this Disc is correct (self-validated) and consistent, false otherwise

See also
  GeometricObject::isValid

Reimplemented from BALL::VIEW::GeometricObject.

## operator=()

const Disc & BALL::VIEW::Disc::operator= | ( | const Disc & | Disc | ) |

Assignment operator.

## set()

void BALL::VIEW::Disc::set | ( | const Disc & | Disc | ) |

Assignment.

## setCircle()

void BALL::VIEW::Disc::setCircle | ( | const Circle3 & | circle | ) |

## swap()

void BALL::VIEW::Disc::swap | ( | Disc & | Disc | ) |

Swapping of Disc's. Swap the value of this Disc with the Disc Disc.